#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Interface
Summary:	IO::Interface - Perl extension to access interface information
Summary(pl.UTF-8):	IO::Interface - rozszerzenie Perla do dostępu do informacji o interfejsach
Name:		perl-IO-Interface
Version:	1.06
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7d77d0f23ee7f577109fc5f0e67e0a4b
URL:		http://search.cpan.org/dist/IO-Interface/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.

%description -l pl.UTF-8
IO::Interface dodaje do obiektów IO::Socket metody pozwalające na
używanie ich do pobierania i zmiany informacji o interfejsach
sieciowych w systemie. Oprócz metod zorientowanych obiektowo można
używać także wywołań zorientowanych na funkce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/IO/Interface.pm
%dir %{perl_vendorarch}/IO/Interface
%{perl_vendorarch}/IO/Interface/Simple.pm
%dir %{perl_vendorarch}/auto/IO/Interface
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Interface/*.so
%{perl_vendorarch}/auto/IO/Interface/autosplit.ix
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Interface.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9fd103d
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 51e6e70
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a1aa8a2
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8191940
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3a0f50d
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ca6eef6
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3d06388
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 018632b
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 301cc0e
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> dd66605
- up to 1.06

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 43f5ee3
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> c1178b8
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f8bd68
- release 2

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 7dff442
- updated to 1.05

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 80416b2
- release 2

* Sun Mar 02 2008 radek <radek@pld-linux.org> 7df0109
- version 1.04

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a40a301
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fd48d77
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 57d2742
- unified License format

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 4cd9c74
- up to 1.03, rel 1, builds here

